function y = extractparam(param, idx)
%EXTRACTPARAM Extract a parameter from parameter array by its index,
%   correctly handling scalar inputs.
%   Private function.

%   Copyright 2002-2007 HUMUSOFT s.r.o.


if numel(param)==1 || ischar(param)
  y = param;
elseif iscell(param)
  y = param{idx};
else
  y = param(idx);
end
